create-kakao-alimtalk-template
curl --request POST \
--url https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateCode": "<string>",
"templateName": "<string>",
"templateContent": "<string>",
"channelId": "<string>",
"templateExtra": "<string>",
"templateTitle": "<string>",
"templateSubtitle": "<string>",
"templateHeader": "<string>",
"templateItem": {
"list": [
{
"title": "<string>",
"description": "<string>"
}
]
},
"templateItemHighlight": {
"title": "<string>",
"description": "<string>",
"imageUrl": "<string>"
},
"templateRepresentLink": {
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>"
},
"templateImageName": "<string>",
"templateImageUrl": "<string>",
"securityFlag": true,
"categoryCode": "<string>",
"buttons": [
{
"ordering": 123,
"name": "<string>",
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>",
"bizFormId": 123,
"pluginId": "<string>"
}
],
"quickReplies": [
{
"ordering": 123,
"name": "<string>",
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>",
"bizFormId": 123
}
]
}
'import requests
url = "https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates"
payload = {
"templateCode": "<string>",
"templateName": "<string>",
"templateContent": "<string>",
"channelId": "<string>",
"templateExtra": "<string>",
"templateTitle": "<string>",
"templateSubtitle": "<string>",
"templateHeader": "<string>",
"templateItem": { "list": [
{
"title": "<string>",
"description": "<string>"
}
] },
"templateItemHighlight": {
"title": "<string>",
"description": "<string>",
"imageUrl": "<string>"
},
"templateRepresentLink": {
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>"
},
"templateImageName": "<string>",
"templateImageUrl": "<string>",
"securityFlag": True,
"categoryCode": "<string>",
"buttons": [
{
"ordering": 123,
"name": "<string>",
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>",
"bizFormId": 123,
"pluginId": "<string>"
}
],
"quickReplies": [
{
"ordering": 123,
"name": "<string>",
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>",
"bizFormId": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateCode: '<string>',
templateName: '<string>',
templateContent: '<string>',
channelId: '<string>',
templateExtra: '<string>',
templateTitle: '<string>',
templateSubtitle: '<string>',
templateHeader: '<string>',
templateItem: {list: [{title: '<string>', description: '<string>'}]},
templateItemHighlight: {title: '<string>', description: '<string>', imageUrl: '<string>'},
templateRepresentLink: {
linkMo: '<string>',
linkPc: '<string>',
schemeIos: '<string>',
schemeAndroid: '<string>'
},
templateImageName: '<string>',
templateImageUrl: '<string>',
securityFlag: true,
categoryCode: '<string>',
buttons: [
{
ordering: 123,
name: '<string>',
linkMo: '<string>',
linkPc: '<string>',
schemeIos: '<string>',
schemeAndroid: '<string>',
bizFormId: 123,
pluginId: '<string>'
}
],
quickReplies: [
{
ordering: 123,
name: '<string>',
linkMo: '<string>',
linkPc: '<string>',
schemeIos: '<string>',
schemeAndroid: '<string>',
bizFormId: 123
}
]
})
};
fetch('https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'templateCode' => '<string>',
'templateName' => '<string>',
'templateContent' => '<string>',
'channelId' => '<string>',
'templateExtra' => '<string>',
'templateTitle' => '<string>',
'templateSubtitle' => '<string>',
'templateHeader' => '<string>',
'templateItem' => [
'list' => [
[
'title' => '<string>',
'description' => '<string>'
]
]
],
'templateItemHighlight' => [
'title' => '<string>',
'description' => '<string>',
'imageUrl' => '<string>'
],
'templateRepresentLink' => [
'linkMo' => '<string>',
'linkPc' => '<string>',
'schemeIos' => '<string>',
'schemeAndroid' => '<string>'
],
'templateImageName' => '<string>',
'templateImageUrl' => '<string>',
'securityFlag' => true,
'categoryCode' => '<string>',
'buttons' => [
[
'ordering' => 123,
'name' => '<string>',
'linkMo' => '<string>',
'linkPc' => '<string>',
'schemeIos' => '<string>',
'schemeAndroid' => '<string>',
'bizFormId' => 123,
'pluginId' => '<string>'
]
],
'quickReplies' => [
[
'ordering' => 123,
'name' => '<string>',
'linkMo' => '<string>',
'linkPc' => '<string>',
'schemeIos' => '<string>',
'schemeAndroid' => '<string>',
'bizFormId' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates"
payload := strings.NewReader("{\n \"templateCode\": \"<string>\",\n \"templateName\": \"<string>\",\n \"templateContent\": \"<string>\",\n \"channelId\": \"<string>\",\n \"templateExtra\": \"<string>\",\n \"templateTitle\": \"<string>\",\n \"templateSubtitle\": \"<string>\",\n \"templateHeader\": \"<string>\",\n \"templateItem\": {\n \"list\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n },\n \"templateItemHighlight\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"imageUrl\": \"<string>\"\n },\n \"templateRepresentLink\": {\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\"\n },\n \"templateImageName\": \"<string>\",\n \"templateImageUrl\": \"<string>\",\n \"securityFlag\": true,\n \"categoryCode\": \"<string>\",\n \"buttons\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123,\n \"pluginId\": \"<string>\"\n }\n ],\n \"quickReplies\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"templateCode\": \"<string>\",\n \"templateName\": \"<string>\",\n \"templateContent\": \"<string>\",\n \"channelId\": \"<string>\",\n \"templateExtra\": \"<string>\",\n \"templateTitle\": \"<string>\",\n \"templateSubtitle\": \"<string>\",\n \"templateHeader\": \"<string>\",\n \"templateItem\": {\n \"list\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n },\n \"templateItemHighlight\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"imageUrl\": \"<string>\"\n },\n \"templateRepresentLink\": {\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\"\n },\n \"templateImageName\": \"<string>\",\n \"templateImageUrl\": \"<string>\",\n \"securityFlag\": true,\n \"categoryCode\": \"<string>\",\n \"buttons\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123,\n \"pluginId\": \"<string>\"\n }\n ],\n \"quickReplies\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"templateCode\": \"<string>\",\n \"templateName\": \"<string>\",\n \"templateContent\": \"<string>\",\n \"channelId\": \"<string>\",\n \"templateExtra\": \"<string>\",\n \"templateTitle\": \"<string>\",\n \"templateSubtitle\": \"<string>\",\n \"templateHeader\": \"<string>\",\n \"templateItem\": {\n \"list\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n },\n \"templateItemHighlight\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"imageUrl\": \"<string>\"\n },\n \"templateRepresentLink\": {\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\"\n },\n \"templateImageName\": \"<string>\",\n \"templateImageUrl\": \"<string>\",\n \"securityFlag\": true,\n \"categoryCode\": \"<string>\",\n \"buttons\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123,\n \"pluginId\": \"<string>\"\n }\n ],\n \"quickReplies\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"resultCode": 0,
"resultMessage": "Success"
}{
"error": "some-error-message"
}{
"error": "some-error-message"
}{
"error": "some-error-message"
}Kakao AlimTalk templates
Register an AlimTalk template (legacy)
Register a new Kakao AlimTalk template.
POST
/
projects
/
{projectId}
/
messages
/
kakao-alimtalk
/
templates
create-kakao-alimtalk-template
curl --request POST \
--url https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateCode": "<string>",
"templateName": "<string>",
"templateContent": "<string>",
"channelId": "<string>",
"templateExtra": "<string>",
"templateTitle": "<string>",
"templateSubtitle": "<string>",
"templateHeader": "<string>",
"templateItem": {
"list": [
{
"title": "<string>",
"description": "<string>"
}
]
},
"templateItemHighlight": {
"title": "<string>",
"description": "<string>",
"imageUrl": "<string>"
},
"templateRepresentLink": {
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>"
},
"templateImageName": "<string>",
"templateImageUrl": "<string>",
"securityFlag": true,
"categoryCode": "<string>",
"buttons": [
{
"ordering": 123,
"name": "<string>",
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>",
"bizFormId": 123,
"pluginId": "<string>"
}
],
"quickReplies": [
{
"ordering": 123,
"name": "<string>",
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>",
"bizFormId": 123
}
]
}
'import requests
url = "https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates"
payload = {
"templateCode": "<string>",
"templateName": "<string>",
"templateContent": "<string>",
"channelId": "<string>",
"templateExtra": "<string>",
"templateTitle": "<string>",
"templateSubtitle": "<string>",
"templateHeader": "<string>",
"templateItem": { "list": [
{
"title": "<string>",
"description": "<string>"
}
] },
"templateItemHighlight": {
"title": "<string>",
"description": "<string>",
"imageUrl": "<string>"
},
"templateRepresentLink": {
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>"
},
"templateImageName": "<string>",
"templateImageUrl": "<string>",
"securityFlag": True,
"categoryCode": "<string>",
"buttons": [
{
"ordering": 123,
"name": "<string>",
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>",
"bizFormId": 123,
"pluginId": "<string>"
}
],
"quickReplies": [
{
"ordering": 123,
"name": "<string>",
"linkMo": "<string>",
"linkPc": "<string>",
"schemeIos": "<string>",
"schemeAndroid": "<string>",
"bizFormId": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateCode: '<string>',
templateName: '<string>',
templateContent: '<string>',
channelId: '<string>',
templateExtra: '<string>',
templateTitle: '<string>',
templateSubtitle: '<string>',
templateHeader: '<string>',
templateItem: {list: [{title: '<string>', description: '<string>'}]},
templateItemHighlight: {title: '<string>', description: '<string>', imageUrl: '<string>'},
templateRepresentLink: {
linkMo: '<string>',
linkPc: '<string>',
schemeIos: '<string>',
schemeAndroid: '<string>'
},
templateImageName: '<string>',
templateImageUrl: '<string>',
securityFlag: true,
categoryCode: '<string>',
buttons: [
{
ordering: 123,
name: '<string>',
linkMo: '<string>',
linkPc: '<string>',
schemeIos: '<string>',
schemeAndroid: '<string>',
bizFormId: 123,
pluginId: '<string>'
}
],
quickReplies: [
{
ordering: 123,
name: '<string>',
linkMo: '<string>',
linkPc: '<string>',
schemeIos: '<string>',
schemeAndroid: '<string>',
bizFormId: 123
}
]
})
};
fetch('https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'templateCode' => '<string>',
'templateName' => '<string>',
'templateContent' => '<string>',
'channelId' => '<string>',
'templateExtra' => '<string>',
'templateTitle' => '<string>',
'templateSubtitle' => '<string>',
'templateHeader' => '<string>',
'templateItem' => [
'list' => [
[
'title' => '<string>',
'description' => '<string>'
]
]
],
'templateItemHighlight' => [
'title' => '<string>',
'description' => '<string>',
'imageUrl' => '<string>'
],
'templateRepresentLink' => [
'linkMo' => '<string>',
'linkPc' => '<string>',
'schemeIos' => '<string>',
'schemeAndroid' => '<string>'
],
'templateImageName' => '<string>',
'templateImageUrl' => '<string>',
'securityFlag' => true,
'categoryCode' => '<string>',
'buttons' => [
[
'ordering' => 123,
'name' => '<string>',
'linkMo' => '<string>',
'linkPc' => '<string>',
'schemeIos' => '<string>',
'schemeAndroid' => '<string>',
'bizFormId' => 123,
'pluginId' => '<string>'
]
],
'quickReplies' => [
[
'ordering' => 123,
'name' => '<string>',
'linkMo' => '<string>',
'linkPc' => '<string>',
'schemeIos' => '<string>',
'schemeAndroid' => '<string>',
'bizFormId' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates"
payload := strings.NewReader("{\n \"templateCode\": \"<string>\",\n \"templateName\": \"<string>\",\n \"templateContent\": \"<string>\",\n \"channelId\": \"<string>\",\n \"templateExtra\": \"<string>\",\n \"templateTitle\": \"<string>\",\n \"templateSubtitle\": \"<string>\",\n \"templateHeader\": \"<string>\",\n \"templateItem\": {\n \"list\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n },\n \"templateItemHighlight\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"imageUrl\": \"<string>\"\n },\n \"templateRepresentLink\": {\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\"\n },\n \"templateImageName\": \"<string>\",\n \"templateImageUrl\": \"<string>\",\n \"securityFlag\": true,\n \"categoryCode\": \"<string>\",\n \"buttons\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123,\n \"pluginId\": \"<string>\"\n }\n ],\n \"quickReplies\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"templateCode\": \"<string>\",\n \"templateName\": \"<string>\",\n \"templateContent\": \"<string>\",\n \"channelId\": \"<string>\",\n \"templateExtra\": \"<string>\",\n \"templateTitle\": \"<string>\",\n \"templateSubtitle\": \"<string>\",\n \"templateHeader\": \"<string>\",\n \"templateItem\": {\n \"list\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n },\n \"templateItemHighlight\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"imageUrl\": \"<string>\"\n },\n \"templateRepresentLink\": {\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\"\n },\n \"templateImageName\": \"<string>\",\n \"templateImageUrl\": \"<string>\",\n \"securityFlag\": true,\n \"categoryCode\": \"<string>\",\n \"buttons\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123,\n \"pluginId\": \"<string>\"\n }\n ],\n \"quickReplies\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/projects/{projectId}/messages/kakao-alimtalk/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"templateCode\": \"<string>\",\n \"templateName\": \"<string>\",\n \"templateContent\": \"<string>\",\n \"channelId\": \"<string>\",\n \"templateExtra\": \"<string>\",\n \"templateTitle\": \"<string>\",\n \"templateSubtitle\": \"<string>\",\n \"templateHeader\": \"<string>\",\n \"templateItem\": {\n \"list\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n },\n \"templateItemHighlight\": {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"imageUrl\": \"<string>\"\n },\n \"templateRepresentLink\": {\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\"\n },\n \"templateImageName\": \"<string>\",\n \"templateImageUrl\": \"<string>\",\n \"securityFlag\": true,\n \"categoryCode\": \"<string>\",\n \"buttons\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123,\n \"pluginId\": \"<string>\"\n }\n ],\n \"quickReplies\": [\n {\n \"ordering\": 123,\n \"name\": \"<string>\",\n \"linkMo\": \"<string>\",\n \"linkPc\": \"<string>\",\n \"schemeIos\": \"<string>\",\n \"schemeAndroid\": \"<string>\",\n \"bizFormId\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"resultCode": 0,
"resultMessage": "Success"
}{
"error": "some-error-message"
}{
"error": "some-error-message"
}{
"error": "some-error-message"
}- If the template message type is
EXorMI, includetemplateExtra. - If the template emphasis type is
TEXT, includetemplateTitleandtemplateSubtitle. - If the template emphasis type is
IMAGE, includetemplateImageNameandtemplateImageUrl. - A template item list can contain 2 to 10 items.
- Each button type has its own required fields.
Authorizations
Body
application/json
